# Quickstart

The beta release of the Live Connect API provides the tools to perform multi-table copies from the Snowflake or Databricks warehouses. Using the API you can

- access the data warehouse to get a list of databases, tables, and table schemas.
- manage a set of input connector configurations as a single data warehouse integration configuration.
- enable a Digdag workflow to organize input connector jobs.


## Overview of the Easy Sync Use Case for Snowflake

The following video shows an example of how to use the Live Connect API. Here is the high-level flow of the steps shown in the video.

1. Using the TD Console, get the ID of your Snowflake authentication.
2. Use the Snowflake authentication ID to create a basic configuration and run Guess.



```bash
POST /v1/guess with td_authentication_id in request payload
...
Returns: basic configs and advanced configs
```

1. Create integration with guessed result and config values.



```bash
POST /v1/dwh/  including configs in request payload
...
Returns: {dwh_id}
```

1. Check status.



```bash
PUT /v1/dwh/{dwh_id}/run_workflow
...
Returns: running status
```

1. Check workflow status in console or TD toolbelt.
2. View imported job results.


## Working with the Live Connect API Postman Collection

A [Live Connect API](https://github.com/treasure-data/TD-API-Documentation-postman-collections/blob/main/live-connect/README.md) Postman collection is available to exercise the Live Connect APIs. To work with this collection you will need to perform the following steps:

- Enable the Live Connect feature on your TD account
- Obtained a Master API key for your account to authenticate the APIs
- Obtain an authentication ID of the authentication you want TD to use to connect to your datawarehouse
- Download the [LiveConnectAPI.postman_collection.json](https://github.com/treasure-data/TD-API-Documentation-postman-collections/blob/main/live-connect/LiveConnectAPI.postman_collection.json) file
- [Configure the TD Collection for Postman](https://github.com/treasure-data/TD-API-Documentation-postman-collections/blob/main/README.md#configuring-td-collections-in-postman) where you specify the current values for {{baseUrl}} and {{ApiKeyAuth}}
- Specify the current value for {{tdAuthenticationId}}, which is the ID of the authentication you are using
- Send one of these two calls to obtain an easy sync ID (or "config ID") to set as the current value for the {{dwhId}} variable:
  - Create a new DWH Integration
  - List all DWH Integrations for the current user